Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1265 - kernel still fails to compile fb
Summary: kernel still fails to compile fb
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-21 17:28 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-25 09:32:21 UTC


Attachments (Terms of Use)

Description Chris Runge 1999-02-21 17:28:11 UTC
RHL 5.8.1 (Beta 1)

I was unable to compile fb devices with
kernel-source-2.2.1-2; I still am unable with
kernel-source-2.2.1-4

here's the last part from the compile before the compile
stopped:

fbcon.c:1576: dereferencing pointer to incomplete type
fbcon.c:1578: dereferencing pointer to incomplete type
fbcon.c: In function `fbcon_scrolldelta':
fbcon.c:1615: `__SCROLL_YMASK' undeclared (first use in this
function)
fbcon.c:1616: `__SCROLL_YWRAP' undeclared (first use in this
function)
fbcon.c:1619: `__SCROLL_YPAN' undeclared (first use in this
function)
fbcon.c:1620: dereferencing pointer to incomplete type
fbcon.c:1617: warning: unreachable code at beginning of
switch statement
fbcon.c: At top level:
fbcon.c:1955: variable `fbcon_dummy' has initializer but
incomplete type
fbcon.c:1956: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1957: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1958: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1959: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1960: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1961: warning: excess elements in struct initializer
after `fbcon_dummy'
fbcon.c:1962: warning: excess elements in struct initializer
after `fbcon_dummy'
make[3]: *** [fbcon.o] Error 1
make[3]: Leaving directory
`/usr/src/linux-2.2.1/drivers/video'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory
`/usr/src/linux-2.2.1/drivers/video'
make[1]: *** [_subdir_video] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.1/drivers'
make: *** [_dir_drivers] Error 2


The compile works without fb devices selected

Comment 1 Cristian Gafton 1999-02-25 09:32:59 UTC
Newer releases of the kernel rpm are okay.


Note You need to log in before you can comment on or make changes to this bug.